#include <iostream>
using namespace std;
int main()
{
    unsigned long long int N,M;
    cin>>N;
    for(int i=0;i<N;i++){
        cin>>M;
        int niz[M];
        int nizB[M];
        for(int j=0;j<M;j++){
            cin>>niz[j];
        }
        for(int j=0;j<M;j++){
            cin>>nizB[j];
        }
        if(-niz[M-1]==nizB[0]){
            cout<<"DA"<<endl;
        }else{
            cout<<"NE"<<endl;
        }
    }

    return 0;
}